play.libs

## Enum OAuth.Error.Type

- java.lang.Object
- - java.lang.Enum<OAuth.Error.Type>
  - - play.libs.OAuth.Error.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OAuth.Error.Type>
  Enclosing class:
    OAuth.Error

      public static enum OAuth.Error.Type
      extends java.lang.Enum<OAuth.Error.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMUNICATION`
    `EXPECTATION_FAILED`
    `MESSAGE_SIGNER`
    `NOT_AUTHORIZED`
    `OTHER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth.Error.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OAuth.Error.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MESSAGE_SIGNER

          public static final OAuth.Error.Type MESSAGE_SIGNER

    - #### NOT_AUTHORIZED

          public static final OAuth.Error.Type NOT_AUTHORIZED

    - #### EXPECTATION_FAILED

          public static final OAuth.Error.Type EXPECTATION_FAILED

    - #### COMMUNICATION

          public static final OAuth.Error.Type COMMUNICATION

    - #### OTHER

          public static final OAuth.Error.Type OTHER

  - ### Method Detail

    - #### values

          public static OAuth.Error.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OAuth.Error.Type c : OAuth.Error.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OAuth.Error.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly